### Enumeration

# Cogl BufferMapHint

#### Declaration

    flags Cogl.BufferMapHint

#### Description [src]

Hints to Cogl about how you are planning to modify the data once it is mapped.

#### Members

`COGL_BUFFER_MAP_HINT_DISCARD`

  Tells Cogl that you plan to replace all the buffer’s contents. When this flag is used to map a buffer, the entire contents of the buffer become undefined, even if only a subregion of the buffer is mapped.

  - Value: `1`
  - Available since: 16
`COGL_BUFFER_MAP_HINT_DISCARD_RANGE`

  Tells Cogl that you plan to replace all the contents of the mapped region. The contents of the region specified are undefined after this flag is used to map a buffer.

  - Value: `2`
  - Available since: 16